[Mesa-dev] [PATCH 7/9] bin/get-pick-list.sh: handle fixes tag with missing colon
Emil Velikov
emil.l.velikov at gmail.com
Thu Nov 8 15:05:19 UTC 2018
From: Emil Velikov <emil.velikov at collabora.com>
Every so often, we forget to add the colon after "fixes". Trivially
tweak the script to catch it.
Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
bin/get-pick-list.sh | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/bin/get-pick-list.sh b/bin/get-pick-list.sh
index 1aeb64fe889..65f35506d5b 100755
--- a/bin/get-pick-list.sh
+++ b/bin/get-pick-list.sh
@@ -60,6 +60,10 @@ is_sha_nomination()
is_fixes_nomination()
{
is_sha_nomination "$1" "fixes:[[:space:]]*"
+ if test $? -eq 0; then
+ return 0
+ fi
+ is_sha_nomination "$1" "fixes[[:space:]]\+"
}
# Use the last branchpoint as our limit for the search
@@ -74,7 +78,7 @@ git log --reverse --pretty=medium --grep="cherry picked from commit" $latest_bra
sed -e 's/^[[:space:]]*(cherry picked from commit[[:space:]]*//' -e 's/)//' > already_picked
# Grep for potential candidates
-git log --reverse --pretty=%H -i --grep='^CC:.*mesa-stable\|^CC:.*mesa-dev\|fixes:' $latest_branchpoint..origin/master |\
+git log --reverse --pretty=%H -i --grep='^CC:.*mesa-stable\|^CC:.*mesa-dev\|\<fixes\>' $latest_branchpoint..origin/master |\
while read sha
do
# Check to see whether the patch is on the ignore list.
--
2.19.1
More information about the mesa-dev
mailing list